CAL(1)

NOM
cal, ncal - Afficher un calendrier et la date de Pâques

SYNOPSIS
ncal [-3hjy] [-A nombre] [-B nombre] [ [mois] année]
ncal [-3hj] [-A nombre] [-B nombre] -m mois [année]
ncal [-3bhjJpwySM] [-A nombre] [-B nombre] [-W nombre] [-s code_pays] [ [mois] année]
ncal [-Jeo] [-A nombre] [-B nombre] [année]
ncal [-CN] [-H aaaa-mm-jj] [-d aaaa-mm]

DESCRIPTION
L’utilitaire ncal affiche un calendrier simple au format traditionnel et ncal propose une autre disposition, plus d’options et la date de Pâques. Le nouveau format est quelque peu étroit, mais il fait qu’une année loge dans un terminal 25x80. Si aucun argument n’est indiqué, le mois courant est affiché.

Les options sont les suivantes :

-h  Suppression de la mise en évidence du jour courant.

-J  Afficher le calendrier julien et, si combiné avec l’option -o, afficher la date du jour orthodoxe de Pâques selon le calendrier julien.

-e  Afficher la date de Pâques (pour les églises occidentales).

-j  Afficher les jours juliens (par jour, numérotés à partir du 1er janvier).

-m mois
    Afficher le mois indiqué. Si le mois est indiqué sous forme décimale, ajouter « f » ou « p » affichera le même mois de l’année suivante ou précédente respectivement.

-o  Afficher la date du jour orthodoxe de Pâques (églises orthodoxes grecque et russe).

-p  Afficher les codes de pays et les jours de basculement du calendrier julien au calendrier grégorien tels qu’ils sont acceptés par ncal. Le code de pays déterminé selon l’environnement local est marqué d’un astérisque.

-s code_pays
    Accepter que la bascule du calendrier julien au calendrier grégorien est la date associée avec le code_pays. Si non précisé, ncal essaie de déterminer la date de basculement à partir de l’environnement local ou se rabat sur le 2 septembre 1752. C’est la date de basculement au calendrier grégorien de la Grande Bretagne et de ses colonies.

-w  Afficher le numéro de la semaine sous chaque colonne de semaine.

-y  Afficher le calendrier pour l’année indiquée. Cette option est implicite quand une année est indiquée, mais pas le mois.

-3  Afficher les mois précédent, actuel et prochain entourant aujourd’hui.

-1  Afficher le mois courant seulement (par défaut).

-A nombre
    Mois à ajouter après. Le nombre de mois indiqué est ajouté à la fin de l’affichage. Cela vient en plus de tout intervalle de date sélectionné avec les options -y, -3 ou -1. Par exemple, « cal -y -B2 -A2 » affiche tout de novembre de l’année précédente à février de l’année suivante. Les nombres négatifs sont permis, auquel cas le nombre indiqué de mois est soustrait. Par exemple, « cal -y -B-6 » affiche de juillet à décembre, et « cal -A11 » affiche les douze mois à venir.

-B nombre
    Mois à ajouter avant. Le nombre de mois indiqué est ajouté au début de l’affichage. Consulter l’option -A pour des exemples.

-C  Basculer complètement dans le mode cal. Pour une sortie de type cal uniquement, utiliser plutôt -b.

-d aaaa-mm
    Utiliser aaaa-mm comme date actuelle (pour le débogage de la sélection de date).

-H aaaa-mm-jj
    Utiliser aaaa-mm-jj comme date actuelle (pour le débogage de la mise en évidence).

-M  Débuter les semaines le lundi.

-S  Débuter les semaines le dimanche.

-W nombre
    La première semaine de l’année a au moins nombre jours.

-b  Utiliser l’ancien style de format pour la sortie de ncal.

Un seul paramètre indique l’année (1–9999) à afficher, celle-ci devant être entièrement précisée : « cal 89 » n’affichera pas le calendrier pour 1989. Deux paramètres indiquent le mois et l’année. Le mois est soit un nombre entre 1 et 12, un nom entier ou son abréviation telle qu’indiquée par la locale en cours. Le mois et l’année sont par défaut ceux de l’horloge système utilisée et de la zone horaire (ainsi « cal -m 8 » affiche le calendrier du mois d’août de l’année en cours.

Toutes les options ne peuvent être utilisées ensemble. Par exemple, les options -y, -3 et -1 sont mutuellement exclusives. Si des options non cohérentes sont fournies, les dernières ont la préséance sur les précédentes.

Une année commence le 1er janvier.

La mise en évidence des dates est désactivée si la sortie n’est pas un terminal (tty).

VOIR AUSSI
calendar(3), strftime(3)

STANDARDS
L’utilitaire ncal est conforme à l’option d’X/Open System Interfaces de la spécification p1003.1-2008.

Les options [-3hyJeopw], ainsi que la possibilité d’indiquer un nom de mois, sont des extensions de cette spécification.

Le numéro de semaine calculé par -w est conforme à la spécification iso8601.

HISTORIQUE
La commande ncal est apparue dans la AT&T UNIX. La commande ncal est apparue dans FreeBSD 2.2.6. La sortie de la commande cal est supposée être compatible bit à bit avec la commande originale cal d’Unix, car sa sortie est traitée par d’autres programmes tels que des scripts CGI qui ne devraient pas échouer. Par conséquent, huit lignes seront toujours produites, même s’il n’y a que sept lignes de données. Cette ligne blanche supplémentaire apparait aussi avec la commande cal originale, au moins sur Solaris 8.

AUTEURS
La commande ncal et son manuel ont été écrits par Wolfgang Helbig <helbig@FreeBSD.org>.

BOGUES
L’affectation des dates de changement calendrier julien–grégorien aux codes de pays est historiquement simpliste pour beaucoup de pays.

Toutes les options ne sont pas compatibles et leur utilisation dans des ordres différents donnera des résultats différents.

Il n’est pas possible d’afficher le lundi comme premier jour de la semaine avec cal.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3: https://www.gnu.org/licenses/gpl-3.0.html concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.